<?php
	/**
	 * Template Name: Contact Page
	 *
	 * @package Theme Palace
 	 * @subpackage Kids Education Pro
     * @since Kids Education Pro 1.0
	 */
	get_header();

	$options = kids_education_pro_get_theme_options(); // get theme options

	if( $options['enable_address_block'] ) : ?>
		<section id="contact-address" class="page-section os-animation" data-os-animation="fadeInUp">
			<div class="container">
				<ul class="address-block">
					<?php if( !empty( $options['contact_phone_icon'] ) || !empty( $options['contact_phone_title'] ) || !empty( $options['contact_phone_number'] ) ): 
							$phone_number  = ''; ?>
						<li class="phone">
						<?php 
							if( !empty( $options['contact_phone_icon'] ) ){
								$phone_number .= '
									<div class="icon-container">
										<i class="fa '. esc_attr(  $options ['contact_phone_icon'] ) .'"></i>
									</div><!-- .icon-container -->';
							} 

							if( !empty( $options['contact_phone_title'] ) ) {
								$phone_number .= '<span>'. esc_html( $options ['contact_phone_title'] ) .'</span>';
							}
							
							if( !empty( $options['contact_phone_number'] ) ) {
								$phone_number .= '<small>'. wp_kses_post( $options ['contact_phone_number'] ) .'</small>';
							}

						echo $phone_number;
						?>
					</li><!-- .phone -->
				<?php endif; 

					if( !empty( $options['contact_address_icon'] ) || !empty( $options['contact_address_title'] ) || !empty( $options['contact_address_description'] ) ): 
						$address = ''; ?>
						<li class="address">
							<?php 
								if( !empty( $options['contact_address_icon'] ) ){
									$address .= '
									<div class="icon-container">
										<i class="fa '. esc_attr( $options['contact_address_icon'] ) .'"></i>
									</div><!-- .icon-container -->';
								}

								if( !empty( $options['contact_address_title'] ) ){
									$address .= '<span>'. esc_html( $options['contact_address_title'] ) .'</span>';
								}

								if( !empty( $options['contact_address_description'] ) ){
									$address .=  '<small>'. wp_kses_post( $options['contact_address_description'] ) .'</small>';
								}
							echo $address;
							?>              			
						</li><!-- .address -->
					<?php endif; 

						if( !empty( $options['contact_email_icon'] ) || !empty( $options['contact_email_title'] ) || !empty( $options['contact_email_id'] ) ): 
							$email = ''; ?>

							<li class="email">
								<?php if( !empty( $options['contact_email_icon'] ) ){
									$email .= '
										<div class="icon-container">
											<i class="fa '. esc_attr( $options['contact_email_icon'] ) .'"></i>
										</div><!-- .icon-container -->';
								}

								if( !empty( $options['contact_email_title'] ) ){
									$email .= '<span>'. esc_html( $options['contact_email_title'] ) .'</span>';
								}

								if( !empty( $options['contact_email_id'] ) ){
									$email .=  '<small>'. wp_kses_post( $options['contact_email_id'] ) .'</small>';
								}
							echo $email;
							?>
							</li><!-- .email -->
							<?php
						endif;


						if( !empty( $options['working_schedule_icon'] ) || !empty( $options['working_schedule_title'] ) || !empty( $options['working_schedule_time'] ) ): 
							$working_schedule = ''; ?>

							<li class="opening-time">
								<?php if( !empty( $options['working_schedule_icon'] ) ){
									$working_schedule .= '
										<div class="icon-container">
											<i class="fa '. esc_attr( $options['working_schedule_icon'] ) .'"></i>
										</div><!-- .icon-container -->';
								} 

								if( !empty( $options['working_schedule_title'] ) ){
									$working_schedule .= '<span>'. esc_html( $options['working_schedule_title'] ) .'</span>';

								}

								if( !empty( $options['working_schedule_time'] ) ){
									$working_schedule .= '<small>'. wp_kses_post( $options['working_schedule_time'] ) .'</small>';

								}
								echo $working_schedule;
								?>
							</li><!-- .opening-time -->
					   <?php endif; ?>

				</ul><!-- .address-block -->
			</div><!-- .container -->
		</section><!-- #contact-address -->
	<?php endif; ?>

	<?php if( $options['enable_contact_form'] || $options['enable_contact_map'] ) : 
		$column_layout = $options['enable_contact_form'] && $options['enable_contact_map'] ? 'two-columns' : 'one-columns'; // column layout 
	?> 
		<section id="contact-form" class="page-section no-padding-top os-animation" data-os-animation="fadeIn">
			<div class="container">
				<div class="<?php echo esc_attr( $column_layout );?>">

					<?php if( $options['enable_contact_form'] && !empty( $options['contact_form_shortcode'] ) ){ ?>
					<div class="column-wrapper">
						<h2 class="entry-title"><?php _e( 'Send us an Email', 'kids-education-pro' ); ?></h2>
						<?php echo do_shortcode( $options['contact_form_shortcode'] ); ?>
					</div><!-- .column-wrapper -->
					<?php } ?>

					<?php if( $options['enable_contact_map'] && ( !empty( $options['contact_map_embed']) || !empty( $options['contact_map_shortcode'] ) ) ){
							$contact_map_option = !empty( $options['map_type_option'] ) ? $options['map_type_option'] : 'shortcode'; ?>
					<div class="column-wrapper">
						<h2 class="entry-title"><?php _e( 'Google Map', 'kids-education-pro' );?></h2>
						<div id="maps">
							<?php 
								if( 'shortcode' == $contact_map_option ){
									echo do_shortcode( $options['contact_map_shortcode'] );
								} else {
									echo wp_specialchars_decode( $options['contact_map_embed'] );
								}
							?>
						</div><!-- #map -->
					</div><!-- .column-wrapper -->
					<?php } ?>

			  </div><!-- .two-columns -->
			</div><!-- .container -->
		</section><!-- #contact-form -->
	<?php 
	endif; 
	
	get_footer();