<?php
/**
 * Customizer default options
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 * @return array An array of default values
 */

function kids_education_pro_get_default_theme_options() {
	$theme_data = wp_get_theme(); // get theme data
	$kids_education_pro_default_options = array(

		// menu option
		'header_menu_sticky_enable' 	=> true,

		// color layout
		'color_layout'					=> '',

		// Main Slider
		'enable_main_slider'			=> 'static-frontpage',
		'main_slider_type'				=> 'demo',
		'main_slider_no_of_posts'		=> 2,
		'main_slider_category_type'		=> '',
		'slider_content_effect'         => 'cubic-bezier(0.250, 0.250, 0.750, 0.750)',
		'enable_slider_controls'        => true,
		'enable_slider_dragable'        => true,
		'slider_pause_on_hover'         => true,
		'slider_divider_enable' 		=> true,
		'main_slider_learn_more_text'   => __( 'Learn more', 'kids-education-pro' ),

		// Info content
		'enable_info_content'           => 'static-frontpage',
		'info_content_type'             => 'demo',
		'info_content_page_id'          => 0,
		'info_content_heading_type'     => 'info_content_headline_from_title',
		'info_content_learn_more_text'  => __( 'Learn more', 'kids-education-pro' ),
		'info_content_background_property' => 'background_image',
		'info_content_background_image' => get_template_directory_uri() .'/assets/uploads/white-bg.png',
		'info_content_background_color' => '#ffffff',

		// Features section
		'features_enable'				=> 'static-frontpage',
		'features_section_title' 		=> __( 'School Activities', 'kids-education-pro' ),
		'features_section_description'  => __( 'Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat ipsum, nec sagittis sem nibh id elit.', 'kids-education-pro' ),
		'features_section_type'			=> 'demo',
		'features_section_layout'		=> 'four-columns',
		'features_count'				=> 4,
		'features_dropdown_categories'  => null,
		'features_background_property'  => 'background_color',
		'features_background_image' => get_template_directory_uri() .'/assets/uploads/white-bg.png',
		'features_background_color' => '#ffffff',

		// Counter section
		'counter_enable'				=> 'static-frontpage',
		'counter_content_type'			=> 'demo',
		'counter_section_title'			=> __( 'What We Have Achieved', 'kids-education-pro' ),
		'counter_section_description'	=> __( 'Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat ipsum, nec sagittis sem nibh id elit.', 'kids-education-pro' ),
		'counter_section_layout'		=> 'three-columns',
		'counter_count'					=> 4,
		'counter_background_property'   => 'background_image',
		'counter_background_image'		=> get_template_directory_uri() .'/assets/uploads/white-bg.png',
		'counter_background_color'		=> '#ffffff',

		// gallery section
		'gallery_enable'				=> 'static-frontpage',
		'gallery_source'				=> 'demo',
		'gallery_title'					=> __( 'Our Gallery', 'kids-education-pro' ),
		'gallery_description'			=> __( 'Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat ipsum, nec sagittis sem nibh id elit.', 'kids-education-pro' ),
		'gallery_no_of_img'				=> 8,
		'gallery_category'				=> null,
		'gallery_page_readmore'			=> __( 'Load More', 'kids-education-pro' ),
		'gallery_background_property'	=> 'background_image',
		'gallery_background_image' 		=> get_template_directory_uri() .'/assets/uploads/white-bg.png',
		'gallery_background_color'		=> '#ffffff',

		// Category blog
		'category_blog_enable' 			=> 'static-frontpage',
		'category_blog_content_type'	=> 'demo',
		'category_blog_section_layout' 	=> 'two-columns',
		'category_blog_title'			=> __( 'Kindergarten Blog & News', 'kids-education-pro' ),
		'category_blog_description' 	=> __( 'Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat ipsum, nec sagittis sem nibh id elit.', 'kids-education-pro' ),
		'category_blog_count' 			=> 3,
		'category_blog_background_property' => 'background_image',
		'category_blog_background_image'=> get_template_directory_uri() .'/assets/uploads/blog-bg.png',
		'category_blog_background_color'=> '#ffffff',

		// Recent
		'recent_enable' 				=> 'static-frontpage',
		'recent_title' 					=> __( 'Recent Classes', 'kids-education-pro' ),
		'recent_description' 					=> __( 'Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat ipsum, nec sagittis sem nibh id elit.', 'kids-education-pro' ),
		'recent_count'	 				=> 6,
		'recent_visible_no_of_slides' 	=> 3,
		'recent_content_type'	 		=> 'demo',
		'recent_dragable'	 			=> true,
		'recent_pager'	 				=> true,
		'recent_pauseonhover'			=> true,
		'recent_background_property'	=> 'background_image',
		'recent_background_image' 		=> get_template_directory_uri() .'/assets/uploads/recent-classes-bg.jpg',
		'recent_background_color' 		=> '#ffffff',

		// Testimonial
		'testimonial_enable' 			=> 'static-frontpage',
		'testimonial_content_type'		=> 'demo',
		'testimonial_dragable'			=> true,
		'testimonial_pager'				=> true,
		'testimonial_count'				=> 3,
		'testimonial_pauseonhover'		=> true,
		'testimonial_background_property' => 'background_image',
		'testimonial_background_image'  => get_template_directory_uri() .'/assets/uploads/testimonials-bg.png',
		'testimonial_background_color'	=> '#ffffff',

		// Team
		'team_enable' 					=> 'static-frontpage',
		'team_content_type'				=> 'demo',
		'team_title' 					=> __( 'Meet Our Teachers', 'kids-education-pro' ),
		'team_description' 				=> __( 'Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat ipsum, nec sagittis sem nibh id elit.', 'kids-education-pro' ),
		'team_count'					=> 4,
		'team_background_property'		=> 'background_image',
		'team_background_image'			=> get_template_directory_uri() .'/assets/uploads/team-bg.png',
		'team_background_color'			=> '#ffffff',

		// Search Course
		'search_course_enable'			=> 'static-frontpage',
		'search_course_background_property' => 'background_image',
		'search_course_background_image'=> get_template_directory_uri() .'/assets/uploads/classes-bg.png',
		'search_course_background_color'=> '#ffffff',

		// Theme Options
		'animation_enable'				=> false,
		'theme_typography' 				=> 'default',
		'loader_enable'         		=> false,
		'loader_icon'         			=> 'fa-spinner',
		'site_layout'         			=> 'wide',
		'search_text'					=> __( 'Search...', 'kids-education-pro' ),
		'sidebar_position'         		=> 'right-sidebar',
		'long_excerpt_length'           => 25,
		'short_excerpt_length'          => 10,
		'read_more_text'		        => __( 'Read More >>', 'kids-education-pro' ),
		'breadcrumb_enable'         	=> false,
		'breadcrumb_separator'         	=> '/',
		'post_navigation_enable'		=> true,
		'post_navigation_type'			=> 'default',
		'pagination_enable'         	=> true,
		'pagination_type'         		=> 'default',
		'copyright_text'           		=> sprintf( __( 'Copyright &copy; . All Rights Reserved','kids-education-pro' ) ) . ' &#124; ' . esc_html( $theme_data->get( 'Name') ). '&nbsp;' . __( 'by', 'kids-education-pro' ). '&nbsp;<a target="_blank" href="'. esc_url( $theme_data->get( 'AuthorURI' ) ) .'">'. esc_html( $theme_data->get( 'Author' ) ) .'</a>',
		'scroll_top_visible'        	=> true,
		'footer_background_property'	=> 'background_image',
		'footer_background_image' 		=> get_template_directory_uri() .'/assets/uploads/footer-bg.png',
		'footer_background_color'		=> '#ffffff',
		'reset_options'      			=> false,
		'enable_frontpage_content' 		=> true,
		'static_homepage_background_property' => 'background_image',
		'static_homepage_background_image' => get_template_directory_uri() .'/assets/uploads/white-bg.png',
		'static_homepage_background_color' => '#ffffff',

		// contact template
		'enable_address_block'			=> true,
		'contact_phone_icon'			=> 'fa-phone',
		'contact_phone_title'			=> __( 'Phone Number', 'kids-education-pro' ),
		'contact_phone_number'			=> sprintf( '%1$s<a href="tel:%2$s">%3$s</a>', __( 'Phone 1', 'kids-education-pro' ), absint( '977123456789' ), esc_html( '+977-123456789' ) ),

		'contact_address_icon'			=> 'fa-map-marker',
		'contact_address_title'			=> __( 'Address', 'kids-education-pro' ),
		'contact_address_description'	=> __( '1001 Moon ave, NEW YORK, NY US', 'kids-education-pro' ),

		'contact_email_icon'			=> 'fa-envelope',
		'contact_email_title'			=> __( 'Envelop', 'kids-education-pro' ),
		'contact_email_id'				=> sprintf( '<a href="mailto:%1$s">%1$s</a>', __('support-customer@kidstheme.com', 'kids-education-pro' ) ),

		'working_schedule_icon'			=> 'fa-clock-o',
		'working_schedule_title' 		=> __( 'Opening Time', 'kids-education-pro' ),
		'working_schedule_time' 		=> __( 'Mon-Sat : 9AM-5PM', 'kids-education-pro' ),

		'enable_contact_form'			=> true,
		'map_type_option'				=> 'embed',

		'enable_contact_map'				=> true

	);

	$output = apply_filters( 'kids_education_pro_default_theme_options', $kids_education_pro_default_options );
	// Sort array in ascending order, according to the key:
	if ( ! empty( $output ) ) {
		ksort( $output );
	}

	return $output;
}