<?php
/**
 * Kids Education Pro Search Course Customizer options
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */


// Add search enable section
$wp_customize->add_section( 'kids_education_pro_search', array(
	'title'             => __('Search Section','kids-education-pro'),
	'description'       => __( 'Search Seaction section options.', 'kids-education-pro' ),
	'panel'             => 'kids_education_pro_sections_panel'
) );

if ( class_exists( 'TP_Education' ) ) :
	// Add search enable setting and control.
	$wp_customize->add_setting( 'kids_education_pro_theme_options[search_course_enable]', array(
		'default'           => $options['search_course_enable'],
		'sanitize_callback' => 'kids_education_pro_sanitize_select'
	) );

	$wp_customize->add_control( 'kids_education_pro_theme_options[search_course_enable]', array(
		'label'             => __( 'Enable on', 'kids-education-pro' ),
		'section'           => 'kids_education_pro_search',
		'type'              => 'select',
		'choices'           => kids_education_pro_enable_disable_options(),
	) );

	// Add background property setting and control.
	$wp_customize->add_setting( 'kids_education_pro_theme_options[search_course_background_property]', array(
		'default'           => $options['search_course_background_property'],
		'sanitize_callback' => 'kids_education_pro_sanitize_select'
	) );

	$wp_customize->add_control( 'kids_education_pro_theme_options[search_course_background_property]', array(
		'label'           	=> __( 'Select background property', 'kids-education-pro' ),
		'section'         	=> 'kids_education_pro_search',
		'type'				=> 'select',
		'choices'			=> array(
			'background_image' => __( 'Background Image', 'kids-education-pro' ),
			'background_color' => __( 'Background Color', 'kids-education-pro' ), 
		),
		'active_callback'   => 'kids_education_pro_is_search_course_active',
	) );

	// Add background image setting and control.
	$wp_customize->add_setting( 'kids_education_pro_theme_options[search_course_background_image]', array(
		'default'           => $options['search_course_background_image'],
		'sanitize_callback' => 'esc_url_raw'
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'kids_education_pro_theme_options[search_course_background_image]',
	    array(
			'label'           => __( 'Upload a background image', 'kids-education-pro' ),
			'description'     => __( 'Recommended background image size is 1920x420 px', 'kids-education-pro' ),
			'section'         => 'kids_education_pro_search',
			'active_callback' => 'kids_education_pro_is_search_course_background_property_image'
	   )
	));

	// Add background color setting and control.
	$wp_customize->add_setting( 'kids_education_pro_theme_options[search_course_background_color]', array(
		'default'           => $options['search_course_background_color'],
		'sanitize_callback' => 'sanitize_hex_color'
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'kids_education_pro_theme_options[search_course_background_color]', array(
		'label'        => __( 'Background Color', 'kids-education-pro' ),
		'section'    => 'kids_education_pro_search',
		'active_callback' => 'kids_education_pro_is_search_course_background_property_color',
	) ) );
endif;