<?php
/**
* Blog Page options
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

// Add blog page section
$wp_customize->add_section( 'kids_education_pro_blog_page', array(
	'title'             => __('Blog Page','kids-education-pro'),
	'description'       => __( 'Options for blog page.', 'kids-education-pro' ),
	'panel'             => 'kids_education_pro_theme_options_panel'
) );

// Add gallery content type setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[blog_exclude_category]', array(
	'sanitize_callback' => 'kids_education_pro_sanitize_category_list'
) );

$wp_customize->add_control( new Kids_Education_Pro_Dropdown_Category_Control( $wp_customize, 'kids_education_pro_theme_options[blog_exclude_category]', array(
	'label'           	=> __( 'Select categories', 'kids-education-pro' ),
	'description'	  	=> __( 'Note: Categories to exclude in blog page.', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_blog_page',
	'type'            	=> 'dropdown-categories',
) ) );