<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */

/*Footer Section*/
$wp_customize->add_section( 'kids_education_pro_section_footer',
	array(
		'title'      			=> __( 'Footer Options', 'kids-education-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'kids_education_pro_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'kids_education_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'wp_kses_post',
	)
);
$wp_customize->add_control( 'kids_education_pro_theme_options[copyright_text]',
    array(
		'label'      			=> __( 'Footer Text', 'kids-education-pro' ),
		'section'    			=> 'kids_education_pro_section_footer',
		'type'		 			=> 'textarea',
    )
);

// scroll top visible
$wp_customize->add_setting( 'kids_education_pro_theme_options[scroll_top_visible]',
	array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback'		=> 'kids_education_pro_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'kids_education_pro_theme_options[scroll_top_visible]',
    array(
		'label'      			=> __( 'Display Scroll Top Button', 'kids-education-pro' ),
		'section'    			=> 'kids_education_pro_section_footer',
		'type'		 			=> 'checkbox',
    )
);

// Add background property setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[footer_background_property]', array(
	'default'           => $options['footer_background_property'],
	'sanitize_callback' => 'kids_education_pro_sanitize_select'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[footer_background_property]', array(
	'label'           	=> __( 'Select background property', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_section_footer',
	'type'				=> 'select',
	'choices'			=> array(
		'background_image' => __( 'Background Image', 'kids-education-pro' ),
		'background_color' => __( 'Background Color', 'kids-education-pro' ), 
	)
) );

// Add background image setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[footer_background_image]', array(
	'default'           => $options['footer_background_image'],
	'sanitize_callback' => 'esc_url_raw'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'kids_education_pro_theme_options[footer_background_image]',
    array(
		'label'           => __( 'Upload a background image', 'kids-education-pro' ),
		'description'     => __( 'Recommended background image size is 1949x2561 px', 'kids-education-pro' ),
		'section'         => 'kids_education_pro_section_footer',
		'active_callback' => 'kids_education_pro_is_footer_background_property_image'
   )
));

// Add background color setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[footer_background_color]', array(
	'default'           => $options['footer_background_color'],
	'sanitize_callback' => 'sanitize_hex_color'
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'kids_education_pro_theme_options[footer_background_color]', array(
	'label'        => __( 'Background Color', 'kids-education-pro' ),
	'section'    => 'kids_education_pro_section_footer',
	'active_callback' => 'kids_education_pro_is_footer_background_property_color',
) ) );