<?php
/**
* Layout options
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'kids_education_pro_layout', array(
	'title'               => __('Layout','kids-education-pro'),
	'description'         => __( 'Layout section options.', 'kids-education-pro' ),
	'panel'               => 'kids_education_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_select',
	'default'             => $options['sidebar_position']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[sidebar_position]', array(
	'label'               => __( 'Sidebar Position', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_layout',
	'type'                => 'select',
	'choices'			  => kids_education_pro_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_select',
	'default'             => $options['site_layout']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[site_layout]', array(
	'label'               => __( 'Site Layout', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_layout',
	'type'                => 'select',
	'choices'			  => kids_education_pro_site_layout(),
) );
