<?php
/**
* pagination options
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'kids_education_pro_pagination', array(
	'title'               => __('Pagination','kids-education-pro'),
	'description'         => __( 'Pagination section options.', 'kids-education-pro' ),
	'panel'               => 'kids_education_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[pagination_enable]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_checkbox',
	'default'             => $options['pagination_enable']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[pagination_enable]', array(
	'label'               => __( 'Pagination Enable', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_pagination',
	'type'                => 'checkbox',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_select',
	'default'             => $options['pagination_type']
) );

if ( ! (class_exists( 'Jetpack' ) && Jetpack::is_module_active( 'infinite-scroll' ) ) ) {
	$description = sprintf( __( 'Enable Jetpack Plugin To Use Infinite-Scroll And Infinte-click Options : %sJetpack%s', 'kids-education-pro' ),'<a href="'.esc_url('http://jetpack.com/').'" target="_blank">','</a>' );
} else {
	$description = __( 'Select pagination options', 'kids-education-pro' );
}

$wp_customize->add_control( 'kids_education_pro_theme_options[pagination_type]', array(
	'label'               => __( 'Pagination Type', 'kids-education-pro' ),
	'description'		  => $description,
	'section'             => 'kids_education_pro_pagination',
	'type'                => 'select',
	'choices'			  => kids_education_pro_pagination_options(),
	'active_callback'	  => 'kids_education_pro_is_pagination_enable'
) );
