<?php
/**
 * Search text options
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */

// Add Search text section
$wp_customize->add_section( 'kids_education_pro_search_section', array(
	'title'             => __('Search Options','kids-education-pro'),
	'description'       => __( 'Search section options.', 'kids-education-pro' ),
	'panel'             => 'kids_education_pro_theme_options_panel'
) );

// Search text setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[search_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['search_text']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[search_text]', array(
	'label'       		=> __( 'Search Text.', 'kids-education-pro' ),
	'description'		=> __( 'Placeholder for search form.', 'kids-education-pro' ),
	'section'     		=> 'kids_education_pro_search_section',
	'type'        		=> 'text',
) );