<?php

/**
 * Outputs the content of the sidebar position
 */
function kids_education_pro_sidebar_position_callback( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'kids_education_pro_nonce' );
    $stored_sidebar_position = get_post_meta( $post->ID, 'kids-education-pro-sidebar-position', true );

    $sidebar_positions       = kids_education_pro_sidebar_position();
    ?>

    <p>
     <label for="kids-education-pro-sidebar-position" class="kids-education-pro-row-title"><?php _e( 'Sidebar Position', 'kids-education-pro' )?></label>
     <select name="kids-education-pro-sidebar-position" id="kids-education-pro-sidebar-position">
      <option value=""><?php _e( 'Default ( to customizer option )', 'kids-education-pro' ); ?></option>

        <?php foreach ( $sidebar_positions as $sidebar_position => $value ) { ?>
         <option value="<?php echo esc_attr( $sidebar_position );?>" <?php if ( isset ( $stored_sidebar_position ) ) selected( $stored_sidebar_position, $sidebar_position ); ?>><?php echo esc_html( $value ); ?></option>
        <?php } ?>
     </select>
    </p>
    <?php
}


/**
 * Saves the sidebar position input
 */
function kids_education_pro_meta_save( $post_id ) {

    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'kids_education_pro_nonce' ] ) && wp_verify_nonce( $_POST[ 'kids_education_pro_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';

    // Exits script depending on save status
    if ( $is_autosave || $is_revision || ! $is_valid_nonce ) {
        return;
    }

    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST[ 'kids-education-pro-sidebar-position' ] ) ) {
        update_post_meta( $post_id, 'kids-education-pro-sidebar-position', esc_html( $_POST[ 'kids-education-pro-sidebar-position' ] ) );
    }

}
add_action( 'save_post', 'kids_education_pro_meta_save' );